Package org.lwjgl.opengl

# Class AMDQueryBufferObject

java.lang.Object
org.lwjgl.opengl.AMDQueryBufferObject

public final class AMDQueryBufferObject extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`GL_QUERY_BUFFER_AMD`
Accepted by the <target> parameters of BindBuffer, BufferData, BufferSubData, MapBuffer, UnmapBuffer, MapBufferRange, GetBufferSubData, GetBufferParameteriv and GetBufferPointerv:
`static final int`
`GL_QUERY_BUFFER_BINDING_AMD`
Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:
`static final int`
`GL_QUERY_RESULT_NO_WAIT_AMD`
Accepted by the <pname> parameter of GetQueryObjectiv, GetQueryObjectuiv, GetQueryObjecti64v and GetQueryObjectui64v:

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### GL_QUERY_RESULT_NO_WAIT_AMD

public static final int GL_QUERY_RESULT_NO_WAIT_AMD
Accepted by the <pname> parameter of GetQueryObjectiv, GetQueryObjectuiv, GetQueryObjecti64v and GetQueryObjectui64v:

See Also:
  - Constant Field Values

### GL_QUERY_BUFFER_AMD

public static final int GL_QUERY_BUFFER_AMD
Accepted by the <target> parameters of BindBuffer, BufferData, BufferSubData, MapBuffer, UnmapBuffer, MapBufferRange, GetBufferSubData, GetBufferParameteriv and GetBufferPointerv:

See Also:
  - Constant Field Values

### GL_QUERY_BUFFER_BINDING_AMD

public static final int GL_QUERY_BUFFER_BINDING_AMD
Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:

See Also:
  - Constant Field Values